Subject: Re: netns refcount leak

From: Ying Xue <[email-masked]>
Date: Mon, 9 Mar 2015 17:50:28 +0800

On 03/07/2015 07:29 AM, Cong Wang wrote:
> Hi, Ying
> 
> 
> The following commit from you causes a netns refcount leak:
> 
> a62fbccecd62bacb4416fc427239f5b43b25d05e is the first bad commit
> commit a62fbccecd62bacb4416fc427239f5b43b25d05e
> Author: Ying Xue <[email-masked]>
> Date:   Fri Jan 9 15:27:11 2015 +0800
> 
>     tipc: make subscriber server support net namespace
> 
>     TIPC establishes one subscriber server which allows users to subscribe
>     their interesting name service status. After tipc supports namespace,
>     one dedicated tipc stack instance is created for each namespace, and
>     each instance can be deemed as one independent TIPC node. As a result,
>     subscriber server must be built for each namespace.
> 
>     Signed-off-by: Ying Xue <[email-masked]>
>     Tested-by: Tero Aho <[email-masked]>
>     Reviewed-by: Jon Maloy <[email-masked]>
>     Signed-off-by: David S. Miller <[email-masked]>
> 
> 
> which prevents a netns being removed if I enable TIPC.
> 
> I am not familiar with TIPC code, please take a look.
> 

Thank you for the report! I will investigate it, so please wait a moment.

Regards,
Ying

> Thanks!